Bug 441136 - dig missing library problem
dig missing library problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 13:44 EDT by Need Real Name
Modified: 2013-04-30 19:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 03:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-04-06 13:44:55 EDT
$ dig www.redhat.com
dig: error while loading shared libraries: libcrypto.so.6: cannot open shared
object file: No such file or directory
Comment 1 Adam Tkac 2008-04-07 03:38:30 EDT
Make sure you have installed latest bind packages and latest openssl packages.
libcrypto.so.6 is no longer in rawhide, libcrypto.so.7 is there

$ ldd /usr/bin/dig  |grep libcrypto
	libcrypto.so.7 => /lib/libcrypto.so.7 (0x0045c000)

$ rpm -q openssl bind-utils
openssl-0.9.8g-6.fc9.i686
bind-utils-9.5.0-29.b2.fc9.i386
Comment 2 Need Real Name 2008-04-07 07:59:49 EDT
Interestingly, rpm -q --whatprovides /usr/bin/dig showed that nothing owned the
binary.

Installing bind-utils overwrites that, but perhaps this is hiding another bug?
Comment 3 Adam Tkac 2008-04-07 09:21:06 EDT
(In reply to comment #2)
> Interestingly, rpm -q --whatprovides /usr/bin/dig showed that nothing owned the
> binary.
> 
> Installing bind-utils overwrites that, but perhaps this is hiding another bug?

I have no idea how this might happen if you're using yum and rpm. As long as I
can remember dig was owned by bind-utils package. I don't expect any bug now
(you might remove bind-utils package but /usr/bin/dig was not removed but this
doesn't happen in current rawhide)

Note You need to log in before you can comment on or make changes to this bug.